OpenMetal
API referenceOrganizations

Create Organization

POST
/v1/organizations

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Header Parameters

Idempotency-Key?string
Length1–512

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1–120
slug*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$Length1–63

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/organizations" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "slug": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}